M1 Macでno matching manifest for linux/arm64/v8が発生した

dockerイメージでMySQLを使用しようとしたら以下のようなエラーが出た。

docker: no matching manifest for linux/arm64/v8 in the manifest list entries.

解決方法としてdocker-compose.ymlにplatform指定をする

  db:
    platform: linux/x86_64 # M1チップ対応のため追記
    image: mysql:5.7
    container_name: app_db

関連記事